unit DwmapiSub;

interface

uses Windows;

var
  DwmIsCompositionEnabled: function (var fEnabled: BOOL): HRESULT; stdcall;

implementation

var
  dir: WideString;
  h: HMODULE;
begin
  SetString(dir, nil, GetSystemDirectoryW(nil, 0));
  if GetSystemDirectoryW(PWideChar(dir), Length(dir)) = 0 then
    Exit;
  SetLength(dir, Length(dir)-1); // -1 for terminating null character
  h := LoadLibraryW(PWideChar(dir + '\dwmapi.dll'));
  if h = 0 then
    Exit;
  DwmIsCompositionEnabled := GetProcAddress(h, 'DwmIsCompositionEnabled');
end.
